Altiris Deployment Solution < 6.9 SP4 DBManager DoS (SYM10-007)

Medium Nessus Network Monitor Plugin ID 5515

Synopsis

The remote Windows host has a deployment server that is affected by a denial of service vulnerability.

Description

The version of Altiris Deployment Solution installed on the remote host is earlier than 6.9 SP4. Such versions are reportedly affected by a denial of service vulnerability. The DBManager component has a user-after-free error when processing specially crafted 'CreateSession' and 'PXEManagerSignOn' requests. A remote attacker could exploit this to crash the DBManager service.

Solution

Upgrade to Altiris Deployment Solution Server 6.9 SP4 or later.

See Also

http://www.nessus.org/u?beb87f98

Plugin Details

Severity: Medium

ID: 5515

File Name: 5515.prm

Family: Generic

Published: 2010/04/21

Modified: 2016/01/21

Dependencies: 4179

Nessus ID: 45592

Risk Information

Risk Factor: Medium

CVSSv2

Base Score: 5

Temporal Score: 3.7

Vector: CVSS2#AV:N/AC:L/Au:N/C:N/I:N/A:P

Temporal Vector: CVSS2#E:U/RL:OF/RC:C

CVSSv3

Base Score: 5.3

Temporal Score: 4.6

Vector: CVSS3#AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:L

Temporal Vector: CVSS3#E:U/RL:O/RC:C

Vulnerability Information

Patch Publication Date: 2010/04/20

Vulnerability Publication Date: 2010/02/25

Reference Information

CVE: CVE-2010-0109

BID: 38410

OSVDB: 62569